from django.db import models

class Project(models.Model):
    title = models.CharField(max_length=255)
    thumb_image = models.ImageField(upload_to='project_thumbs/')
    size_program = models.TextField(blank=True)
    design_statement = models.TextField(blank=True)
    extra_text = models.TextField(blank=True)
    start_date = models.DateField(blank=True)
    end_date = models.DateField(blank=True)
    location = models.CharField(max_length=255)

    def __unicode__(self):
        return self.title


class ProjectImage(models.Model):
    image = models.ImageField(upload_to='project_imgs/')
    caption = models.CharField(max_length=255, blank=True)
    project = models.ForeignKey(Project)

    def __unicode__(self):
        return self.caption


class SliderImage(models.Model):
    image = models.ImageField(upload_to='slider_imgs/')
    caption = models.CharField(max_length=255, blank=True)
    order = models.IntegerField(default=1)

    def __unicode__(self):
        return self.caption

    class Meta:
        ordering = ['order']


class Link(models.Model):
    title = models.CharField(max_length=255)
    description = models.TextField(blank=True)
    url = models.URLField(blank=True)

    def __unicode__(self):
        return self.title


class Noteworthy(models.Model):
    image = models.ImageField(upload_to='noteworthy_imgs/')
    title = models.CharField(max_length=255)
    description = models.TextField(blank=True)
    url = models.URLField(blank=True)

    def __unicode__(self):
        return self.title

# Create your models here.

